/********************************************************************
*==================  " " ========================*
*********************************************************************
* 	
* Aplication:   		All
*                       
*  :			YLabel.cpp
*  
*  :		1.0
* Framework:			Qt 4.3.2
* :			GCC (mingw-gcc rev4.3.2)
*  :			17.01.2008	
*  :	17.01.2008
* :				  
* Support E-mail:		lit-uriy@yandex.ru
* :				GNU GPLv2
*
* :				  -,  
*						  
* 							
* 							
* 							
* Log:
* Date			Athor				Description
* 
*
********************************************************************/



#include "YLabel.h"
// ----------------------------------------------------------------------


YLabel::YLabel( QWidget * parent, Qt::WindowFlags f): QLabel(parent, f)
{
	//     ,   Layout'
	setSizePolicy(QSizePolicy::Fixed, QSizePolicy::Fixed);
}

YLabel::YLabel(const QString &text, QWidget *parent, Qt::WindowFlags f) : QLabel(text, parent, f)
{
	//     ,   Layout'
	setSizePolicy(QSizePolicy::Fixed, QSizePolicy::Fixed);
}

//  
void YLabel::setBackground(QPixmap pix)
{
  QPalette pal;
  
	pal.setBrush(backgroundRole(),QBrush(pix) );//Qt::blue
    setPalette(pal);
	size=pix.size();
	resize(size);
	setAlignment(Qt::AlignCenter);
    //setSizePolicy(QSizePolicy::Fixed);
	
    setAutoFillBackground(true);
}
/**/
//  ,  Layout'
QSize YLabel::sizeHint() const
{
    return size;
}



